#!/hint/bash -euE
# Copyright (C) 2024  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

post_install+=(20:arm:post_install)
arm:post_install() {
	local arg_mountpoint=$1

	# https://labs.parabola.nu/issues/3584
	mkdir -p -- "$arg_mountpoint/etc/pacman.d/gnupg"
	echo allow-weak-key-signatures >>"$arg_mountpoint/etc/pacman.d/gnupg/gpg.conf"

	# Just until systemd-255.4-2.parabola1 moves from [libre-testing] to [libre]
	if ! [[ -f "$arg_mountpoint"/mnt/usr/lib/systemd/boot/efi/systemd-bootarm.efi ]]; then
		install -Dm644 \
			/var/lib/archbuild/armv7h/lukeshu/build/systemd/pkg/systemd/usr/lib/systemd/boot/efi/systemd-bootarm.efi \
			                                          "$arg_mountpoint"/usr/lib/systemd/boot/efi/systemd-bootarm.efi
	fi

	# Just until we db-import mkinitcpio v38 from ALARM.
	if ! grep -q is_kernelcopy "$arg_mountpoint"/usr/share/libalpm/scripts/mkinitcpio; then
		cat /usr/share/libalpm/scripts/mkinitcpio >"$arg_mountpoint"/usr/share/libalpm/scripts/mkinitcpio
	fi

	# TODO: Set CONFIG_DRM_PRIVACY_SCREEN=y and/or
	# CONFIG_CHROMEOS_PRIVACY_SCREEN=m in the linux-libre config
	# for ARM?
	sed -i /drm_privacy_screen_register/d -- "$arg_mountpoint"/usr/lib/initcpio/install/kms
}
